$! ---------------------------------------------------------------- !$
$! SAS Notification Template                                        !$
$! Copyright (c) 2002-2012, SAS Institute Inc., Cary, NC, USA,      !$
$! All Rights Reserved                                              !$
$! ---------------------------------------------------------------- !$

$!==SUBJECT=========================================================!$
$if(_SAS_TEMPLATE_SUBJECT)$
A confirmação da avaliação $ASSESSMENT__ASSESSMENTID$ foi removida por $GRC_ALERT_FROM_USER_NAME$
$endif$

$!==HTML============================================================!$
$if(_SAS_TEMPLATE_HTML)$

<html><head><title></title></head>
 <style>
  body{font-family: 'Trebuchet MS',Arial, Helvetica, sans-serif;
       background: #FFFFFF;
       color: #000000;}
  .footer{color: #505050; font-size: small; font-style: italic; width: 100%;
          padding-bottom: 15px; padding-top: 10px; border-top: 1px solid #BBBBBB;}
 </style>
 <body>
  <p>
   A sua confirmação para a avaliação $ASSESSMENT__ASSESSMENTID$, <a href="$TARGET_URL$">$ASSESSMENT__NAME$</a>, foi removida porque o domínio da avaliação foi alterado. Terá de conferir as alterações e confirmar novamente.
  </p>
  <p class="footer">
   Esta é uma mensagem gerada pelo sistema. Não responda a este e-mail.
  </p>
 </body>
</html>

$endif$

$!==TXT============================================================!$
$if(_SAS_TEMPLATE_TXT)$

A sua confirmação para a avaliação $ASSESSMENT__ASSESSMENTID$, $ASSESSMENT__NAME$, foi removida porque o domínio da avaliação foi alterado. Terá de conferir as alterações e confirmar novamente.

Você pode encontrar mais informações em $TARGET_URL$

Esta é uma mensagem gerada pelo sistema. Não responda a este e-mail.

$endif$

$!==SMS============================================================!$
$if(_SAS_TEMPLATE_SMS)$

A sua confirmação da avaliação $ASSESSMENT__ASSESSMENTID$ foi removida porque o domínio da avaliação foi alterado. Terá de conferir as alterações e confirmar novamente.

$endif$

