<%@page import="com.sas.servlet.util.JavaScriptIncludeHandler,
				com.sas.web.keys.CommonKeys"%>
            
<%
   String direction = (String)request.getSession().getAttribute("direction");
   Boolean rtlSupported = (Boolean) request.getAttribute(CommonKeys.DISPLAY_RTL);
   if (direction == null ){
      //give priority to direction attr but if null use the boolean attr
      if (null != rtlSupported &&rtlSupported.booleanValue()){
         direction = "rtl";
      }
      else direction = "ltr";
   }
%>
   <script type="text/javascript">
      document.dir = "<%=direction %>";
   </script>

<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas" %>

<%
if (request.getAttribute(CommonKeys.DISPLAY_THEME_OBJECT) != null){
%>
	
	<sas:StyleSheet/>
<%}%>
	
<sas:InitializeComponents/>

<style>
.FuzzPage
{
	position: absolute;
 	background-color: #CFDEEB;
	filter: alpha(opacity=75);
	opacity: .75;	
	left: 0px;
	top: 0px;
	height: 100%;
	width: 100%;
    z-index: 9000;
    text-align: center;
}
.Working
{
	background-color: #3A63A5;
	color: white;
    position: absolute;
    left: 0px;
    top: 0px;
    top: 40%;
    left: 40%;
    width: 250px;
    height: 60px;   
    border: 1px solid black;
    padding: 10px;
    z-index: 9001;
}
</style>

<% String devmenustatus = (String)request.getSession().getAttribute("devmenu");
	if(devmenustatus==null || !devmenustatus.equalsIgnoreCase("disabled"))
   {
%>
	
<% JavaScriptIncludeHandler.writeDojoInclude(out,request); %>
	<script type="text/javascript">
		/** Submit the request to clear the template cache in the background 
		*/
		function clearTemplateCache()
		{
			dojo.io.bind(
						{ url: '<%=request.getContextPath()%>/ClearTemplateCache.cdd',
						  load: function(type, evaldObj){ alert('Template cache has been cleared...'); },
						  error: function(type, error){ alert('Unable to clear template cache...'); }
					    }
					);
		}	
	
		/** 
		* Alter the doctype by setting on the session and then trying to reload the current page.
		* Could be thrown off by things like model 2 and such...
		*/
		function changeDoctype(doctype)
		{
			dojo.io.bind(
						{ url: '<%=request.getContextPath()%>/ChangeDoctype.cdd?doctype='+doctype,
						  load: function(type, evaldObj)
						  	{
						  	 	document.location=document.location; // refresh page
						  	},
						  error: function(type, error){ alert('Unable to set doctype...'); }
					    }
					);
		}	
	
		/** 
		* Alter the direction by changing the document.dir property along with pinging the server with the new direction 
		* to use on subsquent server calls.
		*/
		function changeDirection(direction)
		{
			
			var foo='test';
			dojo.io.bind(
						{ url: '<%=request.getContextPath()%>/ChangeDirection.cdd?direction='+direction,
						  load: function(type, evaldObj)
						  	{
						  	 	document.dir=evaldObj;
						  	 	directionSpan = dojo.byId("directionText");
						  	 	directionSpan.textContent = "(" + evaldObj + ")";
						  	 	document.location=document.location; // refresh page
						  	},
						  error: function(type, error){ alert('Unable to set direction...'); }
					    }
					);
		}	
		
		/** 
		* Alter the theme by changing the document.dir property along with pinging the server with the new direction 
		* to use on subsquent server calls.
		*/
		function changeTheme(themeName)
		{
			var pageCoverNode = document.createElement("DIV");
			pageCoverNode.className = "FuzzPage";	        		
			document.body.appendChild(pageCoverNode);

			var workingNode = document.createElement("DIV");
			workingNode.className = "Working";	        		
			workingNode.innerHTML='Switching theme.<br><br>This may take a moment';		
			document.body.appendChild(workingNode);
			
//		    workingNode.style.height = document.body.height+"px";
//	        workingNode.style.width = document.body.width+"px";

			
		    
			dojo.io.bind(
						{ url: '<%=request.getContextPath()%>/ChangeTheme.cdd?themeName='+themeName,
						  load: function(type, evaldObj)
						  	{
						  	 	document.location=document.location; // refresh page
						  	},
						  error: function(type, error){ alert('Unable to set theme...'); }
					    }
					);
		}

		function disableDevMenu()
		{
			dojo.io.bind(
						{ url: '<%=request.getContextPath()%>/DisableDevMenu.cdd',
						  load: function(type, evaldObj)
						  	{
						  	 	document.location=document.location; // refresh page
						  	},
						  error: function(type, error){ alert('Unable to disable dev menu...'); }
					    }
					);
	
		}

		function showClasspath()
		{
			window.open('<%=request.getContextPath()%>/classpath.jsp',"ClassPath","height=600, width=700, scrollbars=yes");
		}

		function showClientInfo()
		{
			window.open('<%=request.getContextPath()%>/Components/Web/ClientInfo.jsp',"ClientInfo","height=200, width=700, scrollbars=yes");
		}	

		function showSource(url)
		{
			var child = window.open(url,"JSPSource","height=660, width=800,scrollbars=yes");
			child.focus();
		}	
		
		function showComponentDetails(url){
			var child = window.open(url,"ComponentDetails");
			child.focus();
		}
		
		function invalidateSession()
		{
			dojo.io.bind(
						{ url: '<%=request.getContextPath()%>/Components/Web/Restart.jsp',
						  load: function(type, evaldObj)
						  	{
						  	 	document.location=document.location; // refresh page
						  	},
						  error: function(type, error){ alert("type=" + type + "\nerror=" + error); }
					    }
					);
		}	
		
	</script>
<% } %>