<%@page import="com.sas.oprisk.framework.server.util.*" %>
<%@page import="com.sas.oprisk.server.ApplicationProperties"%>
<%@page import="java.util.ResourceBundle"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.server.logical.DimensionalAreaHandle"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.AssessmentUIDefinitionType"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.AssessorTableAction"%>

<%@ include file="/tiles/taglibs.jsp" %>
<script type="text/javascript">


<%
   final ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final DimensionalAreaHandle areaHandle = (DimensionalAreaHandle)uiContext.getValue(AssessmentUIDefinitionType.VAR_LOCATION);  
   final String location = areaHandle == null ? "" : areaHandle.toString();
%>

function addAssessor() {
   var f = document.forms.<c:out value="${componentInfo.formName}" />;
   var location = f.LOCATION ? f.LOCATION.value : '<%=location%>';
   openModal("<%=request.getContextPath()%>/AssessorChooserQuery.do"
         + "?location=" + encodeURI(location)
         + "&method=assessorSelected",
      "users_popup");
}

function removeAssessor(user, sheet, userName) {
   var msg = unescape("<%=ParsingUtils.escape(bundle.getString(
         "AssessmentWizard.removeAssessor.confirm.message.fmt.txt"))%>");
   msg = formatMessage(msg, unescape(userName));
   if (confirm(msg)) {
      // Executes the remote java method and then executes the specified
      // javascript with the returned result.
      RCSAService.removeAssessor(
         "<c:out value='${componentInfo.field.name}' />", 
         sheet, 
         getAssessorParameters(),
         function(pageMod) {
           PageModification.handle(pageMod);
           <c:if test="${componentInfo.field.hasOnChangeActions}">
           cpb.fieldValueChanged("<c:out value='${componentInfo.field.name}' />"); // signal a change occurred
           </c:if>
         }
      );
   }
}

function assessorSelected(user) {
   // Executes the remote java method and then executes the specified
   // javascript with the returned result.
   RCSAService.addAssessor(
      "<c:out value='${componentInfo.field.name}' />", 
      user, 
      getAssessorParameters(),
      function(pageMod) {
        PageModification.handle(pageMod);
        <c:if test="${componentInfo.field.hasOnChangeActions}">
        cpb.fieldValueChanged("<c:out value='${componentInfo.field.name}' />"); // signal a change occurred
        </c:if>
      }
   );
}

//refresh assessors table
function refreshAssessors() {
   // Executes the remote java method and then executes the specified
   // javascript with the returned result.
   RCSAService.refreshAssessors(
      "<c:out value='${componentInfo.field.name}' />", 
      getAssessorParameters(),
      function(pageMod) {
        PageModification.handle(pageMod);
      }
   );
}

function getAssessorParameters() {
   var f = document.forms.<c:out value="${componentInfo.formName}" />;
   
   var params = getParamsForTable(document.forms[0], "<%= AssessorTableAction.TABLE_ASSESSORS %>");
   params.assessmentHandle = "<c:out value='${uiContext.handle}' />"; // needed to retrieve the assessment
   params.answerSheetsHandles = "<%=ParsingUtils.format((String)request.getAttribute(AssessorTableAction.ATTR_SHEET_HANDLES))%>";
   params.location = f.LOCATION ? f.LOCATION.value : '<%=location%>';   

   return params;
}

</script> 

<a name="assessors"></a>
<div id="assessors_div">
<jsp:include page = "AssessorTableContent.jsp" />
</div>  

<script type="text/javascript">
   // override the submit function to use ajax
   getTableComponent("<%=AssessorTableAction.TABLE_ASSESSORS%>_").submit = refreshAssessors;
</script>