<%@ include file="/tiles/taglibs.jsp" %>

<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.assessment.*" %>
<%@ page import="org.apache.struts.util.LabelValueBean" %>

<%
   Locale locale = request.getLocale();
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   
   String exportURL = request.getContextPath() + "/QuestionnaireTemplateCpb.do?method=risks&entryId=riskEventTypes";
%>

      <mon:include js="/script/checkboxRadioUtil.js" />
      <mon:include js="/components/dialogs/ModalDialog.js"/>
      <mon:include js="/ext/cpbcore/browser/Event.js"/>
      
      <script type="text/javascript">
      
      function selectRisks() {
         var url = "<%= request.getContextPath() %>/RiskEventTypesChooser2.do" 
            + "?handle=" + encodeURI('${questionnaireTemplateCpbForm.handle}')
            + "&dimensionalArea=" + encodeURI('${questionnaireTemplateCpbForm.dimensionalArea}');
         
         openModal(url, 'RETChooser');
      }
      
      </script>

            <input type="hidden" name="type" value="riskEventType" />
   
            <!-- Assessment Context Path Dimensions -->
         <%
           final Iterator contexts = (Iterator) request.getAttribute("contexts");
           if (contexts != null) {
         %>  
            <table width="100%" class="contextBox" cellspacing="0">
            <thead>
               <tr><th><fmt:message key="Questionnaire.includeContext.txt"/></th></tr>
            </thead>
            <tbody>
         <%   while (contexts.hasNext()) {
                 final LabelValueBean context = (LabelValueBean)contexts.next();
                 request.setAttribute("contextRisk", context);
         %>
            <tr>
               <td valign="top">
                  <html:multibox property="selectedRiskContexts" value="<%= context.getValue() %>" onclick="javascript:handleSelectedContextsOnClick('${contextRisk.value}', this.checked, 'riskEventType');"/>
                  <%= context.getLabel() %>
               </td>
            </tr>
         <%   }
         %>
            </tbody>
            </table>
           <%-- special empty value for when no checkboxes are selected --%>
           <input type="hidden" name="selectedRiskContexts" value="<%= QuestionnaireTemplateCpbAction.VALUE_EMPTY %>" />
         <% } %>
         
           <p/>
         
         <%-- write the dialog configuration (doesn't create a visible input element) --%>
            <mon:tableComponent id="riskEventType" entryName="riskEventTypes"
                                wizCursor="refresh" exportXlsUrl="<%= exportURL %>" sortable="false">
               
               <mon:action href="javascript:selectRisks()">
                  <fmt:message key='QuestionnaireTemplateWizard.step.riskEventTypes.add.txt'/>
               </mon:action>
         
               <c:if test="${riskEventTypeCount > 0}">
                  <mon:action href='javascript:RiskCauseControlTypes.handleRemoveSelectedOnClick()'>
                     <fmt:message key='QuestionnaireTemplateWizard.step.riskEventTypes.remove.txt'/>
                  </mon:action>
               </c:if>
         
               <c:set var="checkAll">
                   <input type="checkbox" name="checkAll" id="checkAll" title="<fmt:message key="application.selectAll.tooltip.txt" />"/>
               </c:set>
               <mon:fixedColumn width='20' title="${checkAll}">
                  <input type="checkbox" name="selectedHandles" value="<c:out value='${riskEventType.handle}'/>" />
               </mon:fixedColumn>
         
               <mon:fixedColumn title='<%= bundle.getString("application.order.tooltip.txt") %>' before="false">         
                  <c:set var="first" value="${riskEventTypeRowIndex == 0}"/>
                  <c:set var="last" value="${riskEventTypeRowIndex == riskEventTypeCount-1}"/>
         
                  <c:if test="${first}">
                     <img border="0" src="<fmt:message key='application.moveup.disabled.image' />" />&nbsp;
                  </c:if>
                  <c:if test="${not first}">
                     <a href="javascript:RiskCauseControlTypes.handleReorderButtonOnClick(<c:out value="${riskEventTypeRowIndex}" />, 'up', 'riskEventType')"><img 
                        border="0" src="<fmt:message key='application.moveup.image' />" 
                        alt="<fmt:message key='application.moveup.tooltip.txt'/>" 
                        title="<fmt:message key='application.moveup.tooltip.txt'/>"/></a>&nbsp;
                  </c:if>
                  <c:if test="${last}">
                     <img border="0" src="<fmt:message key='application.movedown.disabled.image' />" />
                  </c:if>
                  <c:if test="${not last}">
                     <a href="javascript:RiskCauseControlTypes.handleReorderButtonOnClick(<c:out value="${riskEventTypeRowIndex}" />, 'down', 'riskEventType')"><img 
                        border="0" src="<fmt:message key='application.movedown.image' />" 
                        alt="<fmt:message key='application.movedown.tooltip.txt'/>" 
                        title="<fmt:message key='application.movedown.tooltip.txt'/>"/></a>
                  </c:if>
               </mon:fixedColumn>
         
            </mon:tableComponent>
         
            <script type="text/javascript">
            new CheckboxGroup("questionnaireTemplateCpbForm", "selectedHandles", "checkAll");
            </script>
