<%@ include file="/tiles/taglibs.jsp"%>

<%@ page import="java.util.*"%>
<%@ page import="com.sas.oprisk.monitor.web.csa.*"%>
<%@ page import="com.sas.oprisk.monitor.web.csa.QuestionnaireModel.*"%>
<%@ page import="com.sas.oprisk.monitor.web.utils.HTMLUtils"%>
<%@ page import="com.sas.oprisk.server.logical.CsaQuestion"%>
<%@ page import="com.sas.oprisk.server.DimensionalPoint"%>
<%@ page import="com.sas.oprisk.monitor.web.tags.QuestionGroupTag"%>
<%@ page import="com.sas.oprisk.monitor.web.tags.QuestionTag"%>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils"%>
<%@ page import="com.sas.oprisk.server.AnswerSheetStatus"%>

<%
   final Locale locale = request.getLocale();
			final ResourceBundle bundle = ApplicationProperties
					.getBundle(locale);
			final PersistenceSession psession = MonitorContext
					.getPersistenceSession(request);

			final QuestionnaireModel model = (QuestionnaireModel) request
					.getAttribute("model");
			final boolean workflowExpanded = Boolean.TRUE.equals(request
					.getAttribute("workflowExpanded"));
			final boolean collapsed = !workflowExpanded;
         
		   final boolean readOnly = model.isReadOnly();

%>

<mon:Page template="details">
      <mon:Head>
         <script type="text/javascript">    
         
         function monitorInit() {
            initNSMenu();
            
            <c:if test="${model.readOnly}">
               var f = document.forms.questionnaireCpbForm;
            
               // disable all other form fields and buttons
               for(i = 0; i < f.elements.length; i++) {
                  if (f.elements[i].type != "hidden" &&
                        f.elements[i].name != "jumpPrimaryItemIndex" &&
                        (f.elements[i].name && f.elements[i].name.indexOf("actionButton") !== 0)
                        ) {
                     f.elements[i].disabled = true;
                  }
               }
            </c:if>
         }
         
         
         function prevItem() {
            view(<c:out value="${model.itemIndex}" /> - 1);
         }
         
         function nextItem() {
            view(<c:out value="${model.itemIndex}" /> + 1);
         }

         function view(itemIndex) {
            var f = document.forms.questionnaireCpbForm;
            f.action = "<%=request.getContextPath()%>/QuestionnaireCpb.do"
               + "?method=<c:out value="${method}" />"
               + "&itemIndex=" + itemIndex;
            f.submit();
         }
         
         function returnToStage(stageIndex) {
            doQnr("returnToStage&targetStageIndex=" + stageIndex);
         }
         
         function viewAssessors() {
            doQnr("viewAssessors&dropBC=true"
               + "&roleHandle=<c:out value='${model.roleHandle}' />"
               + "&areaHandle=<c:out value='${model.dimAreaHandle}' />");
         }
         
         function doImport() {
         <c:if test="${model.canEndEdit}">
            var msg = unescape("<%=ParsingUtils.escape(bundle
         							.getString("Questionnaire.message.import.unsavedChanges.txt"))%>");
            if (!confirm(formatMessage(msg, unescape(name)))) {
               return;
            }
         </c:if>
            doQnr("doImport");
         }
         
         function doQnr(method, anchor) {
            method = encodeURI(method);
            var f = document.forms.questionnaireCpbForm;
            f.action = "<%=request.getContextPath()%>/QuestionnaireCpb.do"
               + "?method=" + method
               + "&itemIndex=<c:out value="${model.itemIndex}" />"
               + "&pointInTime=<%=model.getPointInTime()%>";
            if (typeof(anchor) != 'undefined') {
               f.action += anchor;
            }
            f.submit();
         }
         
         function setWorkflowExpanded(expanded) {
            var f = document.forms.questionnaireCpbForm;
            f.workflowExpanded.value = expanded;
         }
         
         function popupCloser_refresh() {
            doQnr("view", popupAnchor);
         }
         
         <%-- forward to specified page --%>
         function forward(path) {
            doQnr("forward&path=" + escape(path));
         }
         </script>
   </mon:Head>
   <mon:Body>
      <html:form action="/QuestionnaireCpb">
         <mon:ToolBar>
            <c:if test="${not model.preview}">
                  <c:if test="${model.canEdit}">
                     <mon:Button name="actionButtonOpen" onclick="doQnr('edit')">
                        <fmt:message key="application.button.open.txt" />
                     </mon:Button>                     
                  </c:if>
                  <c:if test="${model.canEndEdit}">
                     <mon:Button name="actionButtonClose" onclick="doQnr('endEdit')">
                        <fmt:message key="application.button.close.txt" />
                     </mon:Button>                     
                  </c:if>
                  <c:if test="${model.canSave}">
                     <mon:Button name="actionButtonSave" onclick="doQnr('save')">
                        <c:if test="${model.draft}">
                          <fmt:message key="application.button.saveDraft.txt" />
                        </c:if>
                        <c:if test="${not model.draft}">
                          <fmt:message key="application.button.save.txt" />
                        </c:if>
                     </mon:Button>                     
                  </c:if>
                  <c:if test="${model.canSubmit}">
                     <mon:Button name="actionButtonSubmit" onclick="doQnr('submit')">
                        <fmt:message key="Questionnaire.button.submit.txt" />
                     </mon:Button>                     
                  </c:if>
                  <c:if test="${model.canValidate}">
                     <mon:Button name="actionButtonValidate" onclick="doQnr('validate')">
                        <fmt:message key="application.button.validate.txt" />
                     </mon:Button>                     
                  </c:if>
                  <c:if test="${model.canReturn}">
                     <mon:Button name="actionButtonReturn" onclick="doQnr('returnToStage')">
                        <fmt:message key="application.button.return.txt" />
                     </mon:Button>                     
                  </c:if>
               </c:if>
               <c:if test="${model.canEdit or model.canEndEdit}">
                  <mon:Button name="actionButtonImport" onclick="doImport()">
                     <fmt:message key="application.button.import.txt" />
                  </mon:Button>
               </c:if>
               <c:if test="${not model.preview}">
                  <mon:Button name="actionButtonExport" onclick="doQnr('export')">
                     <fmt:message key="application.button.export.txt" />
                  </mon:Button>
               </c:if>
               <mon:Button name="actionButtonCancel" onclick="doQnr('cancel')">
                  <c:if test="${model.preview}">
                     <fmt:message key="application.ok.txt" />
                  </c:if>
                  <c:if test="${(not model.preview) && model.readOnly}">
                     <fmt:message key="application.button.done.txt" />
                  </c:if>
                  <c:if test="${(not model.preview) && (not model.readOnly)}">
                     <fmt:message key="application.button.cancel.txt" />
                  </c:if>
               </mon:Button>
         </mon:ToolBar>

         <mon:Content>
            <html:hidden property="handle" />
            <html:hidden property="errorCheckingMode" />
            <html:hidden property="workflowExpanded" />
            
            <%-- render the screen --%>
            <cpb:screen screenID="${questionnaireCpbForm.screenId}"
               readOnly="<%= readOnly %>" />
         
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>
