<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="java.util.*" %>

<%    
   Locale locale = request.getLocale();
   ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   String context = request.getContextPath();
%>

<mon:Page template="wizard">
   <mon:Head>
      <script type="text/javascript">

      function viewSplitReport() {
        var f = document.forms.splitWizardForm;
        var url = "<%= context %>/SplitWizardSummary.do?handle=" + encodeURI(f.handle.value);
        openModal( url, "splitReport", "width=640,height=420,scrollbars,resizable");
      }
      
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/SplitWizard">      
         <mon:ToolBar/>
         
         <mon:Content>
            <html:hidden property="handle" />

            <mon:maintainWizardState/>
            
            <table border="0" width="100%">
            
            <tr>
            <td>
            <fmt:message key="SplitWizard.summary.newNode.fmt.txt"><fmt:param value="${requestScope.model.dimensionName}" /></fmt:message>:
            </td>
            <td><c:out value="${requestScope.model.destinationPath}" /></td>
            </tr>
            
            <tr>
            <td>
            <fmt:message key="SplitWizard.summary.toSplit.fmt.txt"><fmt:param value="${requestScope.model.dimensionName}" /></fmt:message>:
            </td>
            <td><c:out value="${requestScope.model.path}" /></td>
            </tr>
            
            <tr>
            <td colspan="2">&nbsp;</td>
            </tr>
            
            <tr>
            <td colspan="2"><input type="button" onclick="viewSplitReport(); return false;" value="<fmt:message key='SplitWizard.summary.viewSplitReport.button.txt' />" /></td>
            </tr>
            
            </table>
                        
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>