<%@ include file="/tiles/taglibs.jsp"%>
<%@ page import="java.util.*"%>

<%
   Locale locale = request.getLocale();
   ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   Map colFormatters = (Map)request.getAttribute("colFormatters");
   boolean canDelete = SecurityUtils.canDoSomewhere(Do.DELETE, ObjectiveInstance.object, psession);
%>

<mon:Page template="default">
   <mon:Head>
      <script type="text/javascript">

      function createObjectiveInstance() {
         var f = document.forms.queryForm;
         f.action =
            "<%=request.getContextPath()%>/ObjectiveInstanceAction.do"
               + "?method=create";
         f.LOCATION.value = f.TCArea.value;
         f.submit();
      }
      
      function doAction(method, handle)
      {
         var form = document.forms.queryForm;
         form.action = "<%= request.getContextPath() %>/ObjectiveInstanceAction.do"
            + "?method=" + method
            + "&handle=" + encodeURI(handle);
         form.submit();
      }
      
      </script>

   </mon:Head>
   <mon:Body>
      <html:form action="/ObjectiveInstanceQuery">
         <mon:ToolBar>
            <c:if test="${canCreate}">
               <a class="toolBarAction" href="#" id="createObjectiveInstLink" onclick="createObjectiveInstance(); return false;"><fmt:message key='objectiveInstance.createNewObjectiveInstance.txt'/></a>
            </c:if>
            <mon:SavedView></mon:SavedView>
         </mon:ToolBar>
         <mon:Content>
           <mon:tableComponent
               columnFormatters="<%=colFormatters%>" id="objectiveInstance">
               <%
               if (canDelete)
               {
                  ObjectiveInstance entry = (ObjectiveInstance)pageContext.findAttribute("objectiveInstance");
               %>
               <mon:fixedColumn title='<%= bundle.getString("application.delete.txt") %>' width="1%" before="false">
                  &nbsp;
                  <a href="javascript:doAction('delete', '<%= entry.getHandleString() %>')">
                     <img border="0"
                          src="<%= request.getContextPath() %>/<fmt:message key='application.delete.image'/>" 
                          alt="<fmt:message key='application.delete.txt'/>"
                          title="<fmt:message key='application.deleteElipses.txt'/>"/>
                  </a>
                  &nbsp;
               </mon:fixedColumn>
               <%
               }
               %>
            </mon:tableComponent>
         
            <input type="hidden" name="LOCATION" />
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>
