<%@page import="com.sas.servlet.tbeans.menus.popupmenu.html.PopupMenu"%>
<%@page import="com.sas.servlet.tbeans.menus.model.PopupMenuItem"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.List"%>

<%@page import="java.io.IOException"%>

<%@page import="com.sas.servlet.util.DocType"%>


<%@page import="com.sas.framework.themes.client.*"%>

<%@page import="com.sas.oprisk.monitor.web.components.rfs.web.util.ThemeUtil"%>

<%@page import="com.sas.web.keys.CommonKeys"%>

<% 
	String devmenustatus_body = (String)request.getSession().getAttribute("devmenu");
	if (devmenustatus_body == null)
		devmenustatus_body = request.getParameter("devmenu");
	if(devmenustatus_body==null || !devmenustatus_body.equalsIgnoreCase("disabled"))
   {
%>
	
<%	
		writePopupMenu(request,response, out);
   }
%>

<%! 

	public void writePopupMenu(HttpServletRequest request, HttpServletResponse response,  JspWriter out) throws IOException
	{
	   // *****************************************
	   // * Build model for popup menu
	   // *****************************************   
	   ArrayList model = new ArrayList();

	   PopupMenuItem setDoctypeMenuItem = new PopupMenuItem();
	   setDoctypeMenuItem.setText("Set Doctype");
	   setDoctypeMenuItem.setImage("Map.gif");

		   	ArrayList doctypeModel = new ArrayList();
		   	PopupMenuItem quirksModeMenuItem = new PopupMenuItem();
		   	quirksModeMenuItem.setText("None (quirks mode)");
			quirksModeMenuItem.setJavascript("changeDoctype('quirks');");
			doctypeModel.add(quirksModeMenuItem);
		
		   	PopupMenuItem htmlTransitionalMenuItem = new PopupMenuItem();
	   		htmlTransitionalMenuItem.setText("HTML 4.01 Transitional");
			htmlTransitionalMenuItem.setJavascript("changeDoctype('html.transitional');");
			doctypeModel.add(htmlTransitionalMenuItem);
			
		   	PopupMenuItem htmlStrictMenuItem = new PopupMenuItem();
		   	htmlStrictMenuItem.setText("HTML 4.01 Strict");
			htmlStrictMenuItem.setJavascript("changeDoctype('html.strict');");
			doctypeModel.add(htmlStrictMenuItem);

		   	PopupMenuItem xhtmlTransitionalMenuItem = new PopupMenuItem();
	   		xhtmlTransitionalMenuItem.setText("XHTML 1.0 Transitional");
			xhtmlTransitionalMenuItem.setJavascript("changeDoctype('xhtml.transitional');");
			doctypeModel.add(xhtmlTransitionalMenuItem);
			
		   	PopupMenuItem xhtmlStrictMenuItem = new PopupMenuItem();
		   	xhtmlStrictMenuItem.setText("XHTML 1.0 Strict");
			xhtmlStrictMenuItem.setJavascript("changeDoctype('xhtml.strict');");
			doctypeModel.add(xhtmlStrictMenuItem);
						 
			setDoctypeMenuItem.setCascadingMenu(doctypeModel);
	   model.add(setDoctypeMenuItem);

		//	 Change Direction Submenu
	   PopupMenuItem setDirectionMenuItem = new PopupMenuItem();
	   setDirectionMenuItem.setText("Set Direction");

		   	ArrayList directionModel = new ArrayList();
		   	PopupMenuItem ltrMenuItem = new PopupMenuItem();
		   	ltrMenuItem.setText("Left To Right");
		   	ltrMenuItem.setJavascript("changeDirection('ltr');");
		   	directionModel.add(ltrMenuItem);

		   	PopupMenuItem rtlMenuItem = new PopupMenuItem();
		   	rtlMenuItem.setText("Right To Left");
		   	rtlMenuItem.setJavascript("changeDirection('rtl');");
		   	directionModel.add(rtlMenuItem);

		   	setDirectionMenuItem.setCascadingMenu(directionModel);
	   model.add(setDirectionMenuItem);
	   
	   // Change Theme Submenu
	   List themeModel = getThemeModel(request);
	   if ( !themeModel.isEmpty() )
	   {
		   PopupMenuItem setThemeMenuItem = new PopupMenuItem();
		   setThemeMenuItem.setText("Set Theme");
		   setThemeMenuItem.setCascadingMenu(themeModel);
		   model.add(setThemeMenuItem);		   
	   }

		//	 separator
	   PopupMenuItem sep= new PopupMenuItem();
	   sep.setSeparator(true);
	   model.add(sep);

	   PopupMenuItem invalidateMenuItem = new PopupMenuItem();
	   invalidateMenuItem.setText("Invalidate Session");
	   invalidateMenuItem.setJavascript("invalidateSession();");
	   model.add(invalidateMenuItem);

	   PopupMenuItem clearTemplateMenuItem = new PopupMenuItem();
	   clearTemplateMenuItem.setText("Clear Template Cache");
	   clearTemplateMenuItem.setJavascript("clearTemplateCache();");
	   model.add(clearTemplateMenuItem);

	   model.add(sep);

	   PopupMenuItem showClasspath = new PopupMenuItem();
	   showClasspath.setText("Show Classpath");
	   showClasspath.setJavascript("showClasspath();");
	   model.add(showClasspath);

	   PopupMenuItem showClientInfo = new PopupMenuItem();
	   showClientInfo.setText("Show Client Info(UserAgent)");
	   showClientInfo.setJavascript("showClientInfo();");
	   model.add(showClientInfo);

	   PopupMenuItem showSource = new PopupMenuItem();
	   showSource.setText("Show this JSP Source ");
	   showSource.setJavascript("showSource('"+request.getContextPath()+"/ViewSourceServlet?fileName='+window.location);");
	   model.add(showSource);

	   PopupMenuItem showComponentDetails = new PopupMenuItem();
	   showComponentDetails.setText("Show Component Details ");
	   showComponentDetails.setJavascript("showComponentDetails('"+request.getContextPath()+"/RedirectorServlet?sampleComponentURL='+window.location);");
	   model.add(showComponentDetails);
	   
	   model.add(sep);
	   
	   PopupMenuItem turnOffDevMenu = new PopupMenuItem();
	   turnOffDevMenu.setText("Turn off this menu!!!");
	   turnOffDevMenu.setJavascript("disableDevMenu();");
	   model.add(turnOffDevMenu);
	   
	  /* PopupMenu popupMenu = new PopupMenu("SamplesOptionsPopupMenu");
	   popupMenu.setRequest(request);
	   popupMenu.setResponse(response);
	   popupMenu.setModel(model);
	   popupMenu.attachTo("cdddev","oncontextmenu");
	   popupMenu.write(out);*/
	}

	public String getDoctypeMode(HttpServletRequest request)
	{

		String doctype = getDocType_Body(request);
				
		if(doctype!=null)
		{
			return DocType.getDescription(doctype);
		}
		else
		{
			return DocType.getDescription(DocType.DEFAULT_DOCTYPE);
		}	
	}
	public String getDocType_Body(HttpServletRequest request)
	{
   	   // honor request parms first and then session parms if present
	   String doctype = request.getParameter("doctype");
	   if(doctype==null)
		  doctype = (String)request.getSession().getAttribute("doctype");	

       return doctype;
	}
	public static List getThemeModel(HttpServletRequest request)
	{
	   ArrayList themeModel = new ArrayList();
	   try{
		   List themeNames = ThemeUtil.getThemeNames(request);
		   // ThemeServiceInterface service = SpringComponentFacade.getInstance().getThemeService();
		   // List themeNames = service.getThemeNames();
		   for( int i = 0; i<themeNames.size(); i++ )
		   {
			   String themeName = (String) themeNames.get(i);
			   
			   PopupMenuItem themeMenuItem = new PopupMenuItem();
			   themeMenuItem.setText(themeName);
			   themeMenuItem.setJavascript("changeTheme('"+themeName+"');");
			   themeModel.add(themeMenuItem);
			}
	   }
	   catch ( ThemeException te ) { te.printStackTrace(); }
	   catch ( Exception e ) {}
	   	
	   return themeModel;
	}	
	

%>


