<%@ page import="com.sas.oprisk.monitor.web.content.*" %>
<%@ page import="com.sas.oprisk.server.content.*" %>
<%@ page import="com.sas.fsd.shared.services.content.*" %>

<%@ include file="/tiles/taglibs.jsp" %>

<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.CustomTableComponent"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%
   ContentManagementComponentModel model = ContentManagementComponentModel.getFromRequest(request);
   java.util.ResourceBundle bundle = model.getBundle();
   
   int contentIndex = 0;
   boolean typeCurrent = (model.getType() == ContentManagementComponentType.CURRENT);
   boolean typeDeleted = (model.getType() == ContentManagementComponentType.DELETED);
   
   
   // if this is being used in a CPB screen, allow the title to be overridden
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   String title = "";
   String fieldName = "";
   boolean invalid = false;   
   if (componentInfo != null && MonitorUIDefinitionType.COMP_CONTENT_MANAGEMENT.equals(componentInfo.getComponent().getName())) {
      title = CustomTableComponent.getLabel(request);
      fieldName = (MonitorUIDefinitionType.VAR_CONTENT_ATTACHMENTS).toUpperCase();
      invalid = RequestUtil.isFieldValueInvalid(fieldName, pageContext);
   }
   
%>
<mon:tableComponent entryName="<%=model.getInstanceId()%>"
                    id="entry"
                    required="<%= model.isRequired() %>"
                    valid="<%= !invalid %>"
                    columnFormatters="<%= ContentEntry.getColumnFormatters(model.getPersistenceSession()) %>"
                    exportXlsUrl="<%= model.getExportURL(request) %>">
   <mon:title><%= title %></mon:title>
<%
   ContentEntry entry = (ContentEntry)pageContext.findAttribute("entry");
   
   if (!model.isReadOnly())
   {
      if (typeCurrent)
      {
         String deletedContentHREF =
            "javascript: ContentManagementComponent.showAllDeletedContent('" +
               model.getInstanceId() + "')";
%>
   <mon:action href="<%=deletedContentHREF%>">
      <fmt:message key='contentManagement.deletedContent.label.txt'/>
   </mon:action>
<%
         String viewHistoryHREF =
            "javascript: ContentManagementComponent.viewAllHistory('" +
               model.getInstanceId() + "')";
%>
   <mon:action href="<%=viewHistoryHREF%>">
      <fmt:message key='contentManagement.viewHistory.label.txt'/>
   </mon:action>
<%
         String deleteSelectedHREF =
            "javascript:ContentManagementComponent.deleteSelectedContent('" +
               model.getInstanceId() + "')";
%>
   <mon:action href="<%=deleteSelectedHREF%>">
      <fmt:message key='contentManagement.deleteSelected.txt'/>
   </mon:action>
<%
         String addContentHREF =
            "javascript: ContentManagementComponent.addContent('" +
               model.getInstanceId() + "')";
%>
   <mon:action href="<%=addContentHREF%>">
   <fmt:message key='contentManagement.add.label.txt'/>
   </mon:action>
<%
      }
      else if (typeDeleted)
      {
         String undeleteSelectedHREF =
            "javascript:ContentManagementComponent.undeleteSelectedContent('" +
               model.getInstanceId() + "')";
%>
   <mon:action href="<%=undeleteSelectedHREF%>">
      <fmt:message key='contentManagement.undeleteSelected.txt'/>
   </mon:action>
<%
      }
   }
   
   if (model.hasSelectAllCheckbox())
   {
%>
   <mon:fixedColumn width="10" title="<%=model.getSelectAllCheckboxHTML()%>">
<%
      String fileNameForHTML =
         HTMLUtils.escapeHTML(entry.getFileName());
%>
      <input type="checkbox" name="<%=model.getInstanceId()%>.fileNameList" value="<%=fileNameForHTML%>" />
   </mon:fixedColumn>   
<%
   }
%>

   <mon:fixedColumn title='<%= bundle.getString("displayTable.actions.txt") %>' width="1%">
<%
   String fileNameForJavaScript = com.sas.fsd.shared.json.JSONEncoder
      .escapeStringForJavaScript(entry.getContent().getLatestPath().getFileName());
   boolean canUnlock = entry.getCanUnlock();
   boolean canLock = entry.getCanLock();
   boolean canDelete = entry.getCanDelete();
   String versionName = entry.getContent().getVersionName();
%>
      <a href="#" onclick="ContentManagementComponent.showContextMenu({instanceId: '<%= model.getInstanceId() %>', fileName: '<%= fileNameForJavaScript %>', contentIndex: <%= contentIndex %>, canLock: <%= canLock %>, canUnlock: <%= canUnlock %>, canDelete: <%= canDelete %>, versionName: <%= versionName == null ? "''" : '\'' + versionName + '\'' %>})"><img
         border="0"
         src="<%= request.getContextPath() %>/<fmt:message key='application.showActionsButton.row.image'/>" 
         alt="<fmt:message key='application.rowActions.tooltip.txt'/>"
         title="<fmt:message key='application.rowActions.tooltip.txt'/>"
      /></a>
<%
   contentIndex++;
%>
   </mon:fixedColumn>

</mon:tableComponent>
<%
   if (model.hasSelectAllCheckbox())
   {
%>
<script type="text/javascript">
CheckboxGroup.create("<%=model.getInstanceId()%>.fileNameList", "<%=model.getSelectAllCheckboxName()%>");
</script>
<%
   }
%>