<%@page import="java.util.Arrays"%>
<%@ page import="com.sas.oprisk.monitor.web.user.actions.*" %>
<%@ page import="com.sas.oprisk.monitor.web.linking.*" %>
<%@ include file="/tiles/taglibs.jsp" %>
<%
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   LinkedBusinessObjectsChooserModel model = LinkedBusinessObjectsChooserModel.getFromRequest(request);
   LinkedBusinessObjectsModel componentModel = model.getComponentModel();
   boolean showDimensionChooserAsTree = componentModel.showDimensionChooserAsTree();
   String dim =null;
   if (componentModel.getTargetBusinessObjectTypeInfo().getClassObject() instanceof DimensionNode.ClassObject){
       dim=((DimensionNode.ClassObject)componentModel.getTargetBusinessObjectTypeInfo().getClassObject()).getBusinessObjectInterface().getName();
   }else{
      // Reset the tree representation flag if the target object is not a dimension
      showDimensionChooserAsTree = false;
   }
  
   String currentNodeHandle=(String)request.getParameter("currentNodeHandle");
   if  (currentNodeHandle==null){
      currentNodeHandle="";
   }
   
   String[] preSelected = (String[])request.getAttribute(LinkedBusinessObjectsComponent.PARAM_TARGET_BUSINESS_OBJECT_RK_LIST);
    
%>
<mon:Page template="popup">

<mon:Head>
<%
   if (model.getRefreshLinkedBusinessObjects())
   {
%>
<script type="text/javascript">
   if (window.opener) {
      window.opener.LinkedBusinessObjects.refresh('<%=componentModel.getEntryId()%>', true);
   }
</script>
<%
   }
%>
   <mon:include property="AssessmentWizard.error.noSelections.txt" />
</mon:Head>

<mon:Body>
<%
   String selColTitle = "<input type=\"checkbox\" name=\"selectAll\" title=\"" 
      + bundle.getString("application.selectAll.tooltip.txt") + "\" />";
%>
<form id="queryForm" name="queryForm" method="POST"
      action="<%=request.getContextPath()%>/LinkedBusinessObjectsChooser.do?<%= model.getFormQueryString() %>"
      onsubmit="return false;">
   
   <mon:Content>
   
   <% model.getScreenRenderer().write(pageContext, out); %>
   
   <br />
   
 <%
 if (!showDimensionChooserAsTree){
 %>  
   
   
   <mon:tableComponent id="businessObject">
<%
   PrimaryBusinessObject businessObject =
      (PrimaryBusinessObject)pageContext.findAttribute("businessObject");
%>
      <mon:title><%=model.getTableTitle()%></mon:title>
   
      <mon:fixedColumn width="10" title="<%= selColTitle %>">
         <input type="checkbox" name="targetBusinessObjectRkList" value="<%=businessObject.getKey()%>"
<%
   if (model.isLinked(businessObject))
   {
      %>disabled="disabled" checked="checked"<%
   }
   else if (preSelected != null && Arrays.binarySearch(preSelected, Long.toString(businessObject.getKey())) >= 0){
      %>checked="checked"<%
   }
%>
            />
      </mon:fixedColumn>
   </mon:tableComponent>
  

<%
 }
else
{
 %>
 <!-- Show Dimension Node Component -->
    
    <script type="text/javascript">
         var SelectNode = function (id, name, node) {
            var key;
            if (id) 
            {
               var tagPointerArray = id.split("|");
               if (tagPointerArray.length == 3)
               {
                   key = tagPointerArray[1];
                   if (isNaN(key)) return;
               }
               else 
               {
                  return;
               }
            }
            
            var iframe = document.getElementById('treeChooserSelectNode');
            var iframeDoc =(iframe.contentDocument) ? iframe.contentDocument : iframe.contentWindow.document;
            var searchTreeForm = iframeDoc.getElementById("searchTreeChooserForm");
            var checkboxList = searchTreeForm.elements["targetBusinessObjectRkList"];
            if (checkboxList)
            {
               if (checkboxList.nodeName)
               {
                  checkboxList = [checkboxList];
               }
               
               for (var i = 0; i < checkboxList.length; i++)
               {
                  var checkbox = checkboxList[i];
                  
                  if (checkbox.checked && checkbox.value==key)
                  {
                  // -- Already checked when coming from search --//
                     return;
                  }
                  else  if ( checkbox.value==key)
                  {
                  // -- Present on screen but not checked --//
                     checkbox.checked = checkbox.defaultChecked = true;
                     return;
                  }
               }
               
            }
            // -- Create a new checkbox and add it -- //
            var cBox = iframeDoc.createElement('input');
            cBox.type = 'checkbox';
            cBox.id = 'targetBusinessObjectRkList';
            cBox.name = 'targetBusinessObjectRkList';
            cBox.value = key
            cBox.checked = cBox.defaultChecked = true;
            searchTreeForm.appendChild(cBox);
            
         }
    </script>
   
   
   <div id="cBoxHidden" style="display: none; visibility:hidden;" ></div>
   <input type="hidden" id="currentNodeHandle" name="currentNodeHandle" value="<%= currentNodeHandle %>"/>
  
   <script type="text/javascript">
   
   var addNode = function(action){
      var iframe = document.getElementById('treeChooserSelectNode');
      var iframeDoc =(iframe.contentDocument) ? iframe.contentDocument : iframe.contentWindow.document;
      var searchTreeForm = iframeDoc.getElementById("searchTreeChooserForm");
      createCheckboxGroup(searchTreeForm);
      if (!LinkedBusinessObjectsChooser.areAnySelected(searchTreeForm))
      {
         alert(AppProperties["AssessmentWizard.error.noSelections.txt"]);
         return;
      }
      //- retain the current node position in the tree shown in the iframe
      var selectedNode = iframeDoc.getElementById("currentNodeHandle")
      if (selectedNode) {
         document.getElementById("currentNodeHandle").value = selectedNode.value;
      }
      submitForm(action);
      return;
   } 
   
   var submitForm =function(action){
      FormUtil.submitForm(LinkedBusinessObjectsChooser.getForm(), {
         method: action
         });
   }
   
   var createCheckboxGroup=function (form){
      document.getElementById("cBoxHidden").innerHTML = "";
      var checkboxList = form.elements["targetBusinessObjectRkList"];
      if (!checkboxList)
      {
         return;
      }
      
      if (checkboxList.nodeName)
      {
         checkboxList = [checkboxList];
      }
      
      for (var i = 0; i < checkboxList.length; i++)
      {
         var checkbox = checkboxList[i];
         
         if (checkbox.checked && !checkbox.disabled)
         {
            var cBox = document.createElement('input');
            cBox.type = 'checkbox';
            cBox.id = 'targetBusinessObjectRkList';
            cBox.name = 'targetBusinessObjectRkList';
            cBox.value = checkbox.value;
            cBox.checked = cBox.defaultChecked = true;
            document.getElementById("cBoxHidden").appendChild(cBox);
         }

      }
   }
  </script> 
               <mon:SearchTreeChooser 
                        readOnly="false"
                        dimensionNodeClassName="<%= dim %>"
                        selectMethod="SelectNode"
                        linkedChooserTree="true" 
                        linkedObjectKeys="<%= componentModel.getLinkedBusinessObjectKeysAsCSV() %>"
                        selectedNode="<%= currentNodeHandle%>" 
                        showRoot="<%= componentModel.showRoot() %>"
                        showInactive="<%= componentModel.showInActive() %>"
                        showFooter="<%= componentModel.showFooter() %>"
                        leafOnly="<%= componentModel.leafOnly() %>"
                        nonLeafOnly="<%= componentModel.nonLeafOnly() %>"
                        searchable="<%= componentModel.searchable() %>"
                        cssClass="<%= componentModel.getCssClass() %>"
                        cssStyle="<%= componentModel.getCssStyle() %>"
                        />
 <%
}
 %>
   </mon:Content>
   <script type="text/javascript">
      new CheckboxGroup("queryForm", "targetBusinessObjectRkList", "selectAll");
   </script>
   
 <%
 if (showDimensionChooserAsTree){
 %>
   <!--  For Dimension chooser rendered as tree yse the  addNode function defined here on click instead of  LinkedBusinessObjectsChooser.add() -->
   <mon:PopupButtonBar>
   
      <mon:Button type="submit" id="add"
         onclick="addNode('add')">
         <fmt:message key='application.button.add.txt'/>
      </mon:Button>
         
      <mon:Button type="button" id="addClose"
          onclick="addNode('addAndClose')">
         <fmt:message key='application.button.addAndClose.txt'/>
      </mon:Button>
         
      <mon:Button type="button" id="close"
         onclick="LinkedBusinessObjectsChooser.close()">
         <fmt:message key='closeButton.txt'/>
      </mon:Button>
         
   </mon:PopupButtonBar>
   
    
  <%
 } else {
 %>
    <mon:PopupButtonBar>
         
            <mon:Button type="submit" id="add"
               onclick="LinkedBusinessObjectsChooser.add()">
               <fmt:message key='application.button.add.txt'/>
            </mon:Button>
               
            <mon:Button type="button" id="addClose"
               onclick="LinkedBusinessObjectsChooser.addAndClose()">
               <fmt:message key='application.button.addAndClose.txt'/>
            </mon:Button>
               
            <mon:Button type="button" id="close"
               onclick="LinkedBusinessObjectsChooser.close()">
               <fmt:message key='closeButton.txt'/>
            </mon:Button>
               
     </mon:PopupButtonBar>
   
  <% 
 }
   %>
   
</form>

</mon:Body>

</mon:Page>