<%@page import="com.sas.oprisk.server.cpb.uiDefType.ControlInstanceUIDefinitionType"%>
<%@page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.fsd.shared.web.util.HTMLUtil"%>
<%@page import="org.springframework.util.StringUtils"%>
<%@page import="com.sas.solutions.cpb.screendefs.Field"%>
<%@page import="com.sas.oprisk.monitor.web.csa.actions.MitigatedRisksTableAction"%>
<%@ page import="java.util.*" %>

<%@ include file="/tiles/taglibs.jsp" %>
<%
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final UIContext uiContext = UIContextUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);   
   final Field field = componentInfo.getField();
   
   final Map params = field.getParameters(uiContext);
   final String controlTypeFieldNm = (String)params.get(ControlInstanceUIDefinitionType.CONTROL_TYPE_NAME);
%>


<script type="text/javascript">
	function viewMitigatedRisks(riskInstanceHandle) {
	   forward("/RiskInstance.do?method=select&handle=" + riskInstanceHandle);
	}
	function selectRiskInstance() {
		
	   openModal(
	      "<%= request.getContextPath() %>" 
	         + "/MitigatedRiskInstanceChooserQuery.do?constrainByMappings=true"
	         + "&ciHandle=" + encodeURI(document.forms[0].handle.value)
	<% if (StringUtil.isEmpty(controlTypeFieldNm)) { %>
	         + "&areaHandle=" + encodeURI(getInstanceArea()),
	<% } else { %>
	         + "&controlTypeHandle=" + encodeURI(document.forms[0].<%= CPBUtil.getSafeFieldName(controlTypeFieldNm) %>.value),
	<% } %>
	      "riskInstancePopup", 
	      "width=680,height=480,scrollbars,resizable,status");
	   
	}

	
	function removeSelectedRiskMappings(){
	   if (!hasAnySelectedCheckboxes(document.forms[0], "selectedMitigatedRisks")) {
	      alert("<fmt:message key='DimensionRelations.mustSelectOne.txt'/>");
	      return;
	   }

	   if (confirm("<fmt:message key='DimensionRelations.removeSelected.confirm.txt'/>")) {
	      var f = document.forms[0];
	      f.action = f.action + "?method=removeMitigatedRisk";
	      f.submit();
	   }
	}


function refreshMitigatedRisks() {
   // Executes the remote java method and then executes the specified
   // javascript with the returned result.
   
   var params = getParamsForTable(document.forms[0], "<%= MitigatedRisksTableAction.MITIGATED_RISKS%>");
     
   RCSAService.refreshMitigatedRisks(
         "<c:out value='${componentInfo.field.name}' />", 
        params,
      function(pageMod) {
        PageModification.handle(pageMod);
      }
   );
}
// override the submit function to use ajax

</script>

    <div id="mitigatedRisks_div">
    
	  <jsp:include page = "MitigatedRisksTableContent.jsp" />
    </div>   

<!--  override submit for supporting ajax sorting  -->
<script type="text/javascript">
   var tableComp = getTableComponent("<%= MitigatedRisksTableAction.MITIGATED_RISKS%>_");
   tableComp.submit = refreshMitigatedRisks;
</script>