<%@ page import="java.util.*"%>

<%@ include file="/tiles/taglibs.jsp"%>

<%
   final Locale locale = request.getLocale();
			final ResourceBundle bundle = ApplicationProperties
					.getBundle(locale);
			final PersistenceSession psession = MonitorContext
					.getPersistenceSession(request);
%>

<mon:Page template="wizardbanner">
   <mon:Head>
      <script type="text/javascript">

      function setDimAreaHandle(daHandle) {
         beginWait();
         goWizard('supportiveQnrs');
         return false;
      }
      
      function createQuestionnaire() {
         var f = document.forms[0];
         f.action =
            "<%=request.getContextPath()%>/SupportiveQnr.do"
               + "?method=create";
         f.location.value = f.TCArea.value;
         f.submit();
      }
      
      function viewAttachment(attachmentHandle) {
         window.open(
            "<%=request.getContextPath()%>"
            + "/Attachment.do?method=view"
            + "&attachmentHandle=" + encodeURI(attachmentHandle), 
            "attachmentPopup", doFeatures("width=640,height=570,scrollbars,resizable"));
      }
      
      
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="/RCSAGeneral.do?method=supportiveQnrs">
         <mon:ToolBar />

         <mon:Content>
            <mon:tableComponent id="qnr">
               <c:if test="${canCreate}">
                  <mon:action href="javascript:createQuestionnaire();">
                     <fmt:message key='SupportiveQnr.button.create.txt' />
                  </mon:action>
               </c:if>

               <mon:fixedColumn width="1%"
                  title='<%= bundle.getString("QuestionnaireTemplateWizard.step.preview.txt") %>'
                  before="false">
                  <%
                     final SupportiveQuestionnaire supQnr = (SupportiveQuestionnaire) pageContext
                  											.findAttribute("qnr");
                  %>

                  <a
                     href="javascript:viewAttachment('<%=supQnr.getAttachment(psession)
											.getHandleString()%>')">
                  <img border="0"
                     src="<fmt:message key='application.preview.image'/>" /></a>

               </mon:fixedColumn>
            </mon:tableComponent>

            <input type="hidden" name="location" />
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>
