<%@ page import="java.util.*"%>
<%@ page import="com.sas.oprisk.monitor.web.csa.RCSAGeneralModel"%>
<%@ page import="com.sas.oprisk.framework.server.objects.Do"%>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils"%>
<%@ page import="com.sas.oprisk.server.TemplateEx"%>
<%@ include file="/tiles/taglibs.jsp"%>

<%
   Locale locale = request.getLocale();
			ResourceBundle bundle = ApplicationProperties.getBundle(locale);
			PersistenceSession psession = MonitorContext
					.getPersistenceSession(request);
			String createAssessmentTitle = bundle
					.getString("QuestionnaireTemplateWizard.createAssessment.txt");
			createAssessmentTitle = createAssessmentTitle.replaceAll(" ",
					"<br/>");
%>

<mon:Page template="wizardbanner">
   <mon:Head>
      <mon:include js="/script/modalPopup.js" />
      <mon:include js="/ext/cpbcore/browser/Event.js" />

      <script type="text/javascript">
      
      function getForm() {
         return document.forms.rcsaGeneralForm;
      }
      
      function setDimAreaHandle(dpHandle) {
         beginWait();
         getForm().submit();
         return false;
      }
      
      function createTemplate() {
         var f = getForm();
         f.action =
            "<%=request.getContextPath()%>/QuestionnaireTemplateWizard.do"
            + "?method=editQuestionnaire";
         f.dimensionalArea.value = f.TCArea.value;
         f.submit();
      }
      
      function createCpbTemplate() {
         var f = getForm();
         f.action =
            "<%=request.getContextPath()%>/QuestionnaireTemplateCpb.do"
            + "?method=create";
         f.dimensionalArea.value = f.TCArea.value;
         f.submit();
      }
      
      function createTemplateFrom(handle) {
         beginWait();
         var f = getForm();
         //f.action = "<%=request.getContextPath()%>/QuestionnaireTemplateWizard.do"
         f.action = "<%=request.getContextPath()%>/QuestionnaireTemplateCpb.do"
            + "?method=createFrom"
            + "&handle=" + encodeURI(handle);
         f.submit();
      }
      
      function viewTemplate(handle) {
         beginWait();
         var f = getForm();
         f.action = "<%=request.getContextPath()%>/QuestionnaireTemplateCpb.do"
            + "?method=select"
            + "&handle=" + encodeURI(handle);
         
         /*
         f.action = "<%=request.getContextPath()%>/QuestionnaireTemplateWizard.do"
            + "?method=editQuestionnaire"
            + "&handle=" + handle;
         */
         
         f.submit();
      }
      
      function viewTemplateOld(handle) {
         beginWait();
         var f = getForm();
         f.action = "<%=request.getContextPath()%>/QuestionnaireTemplateWizard.do"
            + "?method=editQuestionnaire"
            + "&handle=" + encodeURI(handle);
         f.submit();
      }
      
      
      function createAssessmentFrom(handle) {
         var f = getForm();
         f.action =
            "<%=request.getContextPath()%>/QuestionnaireAssessment.do"
            + "?method=createFromTemplate"
            + "&templateHandle=" + encodeURI(handle);
         f.submit();
      }
      
      function deleteTemplate(handle, name) {
         var msg = unescape("<%=ParsingUtils.escape(bundle
							.getString("QuestionnaireTemplate.delete.confirm.message.fmt.txt"))%>");
         msg = formatMessage(msg, unescape(name));
         if (confirm(msg)) {
            goTemplate("delete", handle);
         }
      }
      
      function previewTemplate(handle) {
         goTemplate("preview", handle);
      }
      
      function goTemplate(method, handle) {
         beginWait();
         var f = getForm();
         f.action = "<%=request.getContextPath()%>/QuestionnaireTemplate.do"
            + "?method=" + method
            + "&handle=" + encodeURI(handle);
         f.submit();
      }
      
      function showContextMenu(handle, name, active) {
         var menu = new TableMenu();
         
      <%--  these are available directly in the table, for now
      <c:if test="${canCreateAssessments}">
         menu.addMenuItem(new MenuItem(MenuItem.prototype.action,
            active ? "<fmt:message key='application.newAssessment.image'/>" : "<fmt:message key='application.newAssessment_disabled.image'/>", 
            "<fmt:message key='QuestionnaireTemplateWizard.createAssessment.txt'/>", "javascript:createAssessmentFrom('" + handle + "')", active));
      </c:if>
         menu.addMenuItem(new MenuItem(MenuItem.prototype.action,"<fmt:message key='application.preview.image'/>", "<fmt:message key='QuestionnaireTemplateWizard.step.preview.txt'/>", "javascript:previewTemplate('" + handle + "')"));
      --%>

      <c:if test="${canCreate}">
         menu.addMenuItem(new MenuItem(MenuItem.prototype.action,"<fmt:message key='application.createNewFrom.image'/>", "<fmt:message key='application.button.createNewFrom.txt'/>", "javascript:createTemplateFrom('" + handle + "')"));
      </c:if>
      <c:if test="${canDelete}">
         menu.addMenuItem(new MenuItem(MenuItem.prototype.action,"<fmt:message key='application.delete.image'/>", "<fmt:message key='application.button.delete.txt'/>", "javascript:deleteTemplate('" + handle + "', '" + name + "')"));
      </c:if>
         
         menu.render();
         return false;
      }
      
      function applyFilter() {
         getTableComponent().tableParameters.setStart(0);
         getForm().submit();
      }
      
      </script>

   </mon:Head>
   <mon:Body>
      <html:form action="/RCSAGeneral.do?method=qnrTemplates">
         <mon:ToolBar />

         <mon:Content>
            <mon:tableComponent id="template">
               <mon:title>
                  <fmt:message key="RCSAGeneral.step.questionnaires.txt" />
               </mon:title>
               <c:if test="${canCreate}">
                  <mon:action href="javascript:createCpbTemplate();">
                     <fmt:message
                        key='RCSAGeneral.questionnaires.create.txt' />
                  </mon:action>
               </c:if>

               <mon:filter>
                  <!-- begin status filter -->
                  <fmt:message key="application.status.txt" />:&nbsp;
               
               <html:select property="qtFilterType">
                     <html:option value="all">
                        <fmt:message key='application.all.txt' />
                     </html:option>
                     <html:option value="active">
                        <fmt:message key='application.active.txt' />
                     </html:option>
                     <html:option value="inactive">
                        <fmt:message key='application.inactive.txt' />
                     </html:option>
                  </html:select>
                  
               &nbsp;&nbsp;
               
               <input type="button" class="button"
                     onmouseover="this.className='button buttonRollover'"
                     onmouseout="this.className='button'"
                     value="&nbsp;<fmt:message key='goButton.txt' />&nbsp;"
                     onclick="applyFilter()" />

                  <br />
                  <br />
               </mon:filter>
               <!-- end status filter -->

               <c:if test="${canDelete or canCreate}">
                  <mon:fixedColumn
                     title='<%= bundle.getString("displayTable.actions.txt") %>'
                     width="1%">
                     <%
                        final TemplateEx template = (TemplateEx) pageContext
                     												.findAttribute("template");
                     										final String escName = ParsingUtils
                     												.escape(template.getName());
                     %>
               &nbsp;<a href="#"
                        onclick="return showContextMenu('<c:out value='${template.handleString}'/>', '<%= escName %>', <c:out value='${template.activeFlg}'/>)"><img
                        border="0"
                        src="<%=request.getContextPath()%>/<fmt:message key='application.showActionsButton.row.image'/>"
                        alt="<fmt:message key='application.rowActions.tooltip.txt'/>"
                        title="<fmt:message key='application.rowActions.tooltip.txt'/>" /></a>&nbsp;
            </mon:fixedColumn>
               </c:if>

               <mon:fixedColumn width="1%"
                  title='<%= bundle.getString("QuestionnaireTemplateWizard.step.preview.txt") %>'
                  before="false">

                  <a
                     href="javascript:previewTemplate('<c:out value='${template.handleString}'/>')">
                  <img border="0"
                     src="<fmt:message key='application.preview.image'/>" /></a>

               </mon:fixedColumn>

               <c:if test="${canCreateAssessments}">
                  <mon:fixedColumn width="1%"
                     title='<%= createAssessmentTitle %>' before="false">
                     <c:if test="${template.activeFlg}">
                        <!-- <a
                           href="QuestionnaireAssessment.do?method=createFromTemplate&templateHandle=<c:out value='${template.handleString}'/>">
                           -->
                        <a
                           href="javascript:createAssessmentFrom('<c:out value='${template.handleString}'/>')">
                        <img border="0"
                           src="<fmt:message key='application.newAssessment.image'/>" /></a>
                     </c:if>
                  </mon:fixedColumn>
               </c:if>

            </mon:tableComponent>

            <input type="hidden" name="dimensionalArea" />
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>
