<%@ include file="/tiles/taglibs.jsp"%>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils"%>
<%@ page import="com.sas.oprisk.server.BusinessLine"%>
<%@ page
   import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag"%>

<%-- ****************************************************************** --%>
<%-- SelectMergeDestination.jsp --%>
<%-- ****************************************************************** --%>

<%
   final java.util.Locale locale = request.getLocale();
			final java.util.ResourceBundle bundle = ApplicationProperties
					.getBundle(locale);
			final String srcName = ParsingUtils.escape((String) request
					.getAttribute("srcName"));
			final String dimName = ParsingUtils.escape((String) request
					.getAttribute("dimName"));
			final String dimNodeClassName = (String) request
					.getAttribute("dimension");
%>

<mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">

      function performAction( actionName ) {
        var f = document.forms.dimensionBrowserForm;
        f.method.value = actionName;
        f.submit();
      }
      
      function selectTarget(id, name, node) {
        //alert("id = -"+id+"-\nname = "+name+"\nnode = "+node);
        var f = document.forms.dimensionBrowserForm;
         
        f.destHandle.value = id;
        f.destPath.value = node;
        f.destName.value = name;
        f.mergeButton.disabled = (id == "");
      }
      
      function doCancel() {
        var f = document.forms.dimensionBrowserForm;
        f.action = "<%=request.getContextPath()%><c:out value="${nodeActionPath}" />.do";
        performAction("view");
      }
      
      function doSubmit() {
        if ( verifySubmit() ) { performAction('viewMergeAnalysisReport'); }
      }
      
      function verifySubmit() {
        var f = document.forms.dimensionBrowserForm;
      
        if (f.destHandle.value == "") {
          var msg = unescape("<%=ParsingUtils.escape(bundle
							.getString("DimensionSelectMergeTarget.prompt.targetrequired.txt"))%>");
          alert( msg );
          return false;
        }
      
        if (f.justification.value == "") {
          var msg = unescape("<%=ParsingUtils.escape(bundle
							.getString("DimensionSelectMergeTarget.prompt.justificationrequired.txt"))%>");
          alert( msg );
          return false;
        }
      
        var cfm = unescape("<%=ParsingUtils.escape(bundle
							.getString("DimensionSelectMergeTarget.prompt.confirm.msg.txt"))%>");
         
        // return confirm(formatMessage(cfm, 
        //  unescape('<%=dimName%>'),
        //  unescape('<%=srcName%>'),
        //  f.destName.value));
      
        return true;
      }
      
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="/Dimension">
         <mon:ToolBar>
            <mon:Button name="mergeButton" onclick="doSubmit()">
               <fmt:message key='ViewMergeAnalysisReport.button.txt' />
            </mon:Button>
            <mon:Button name="cancelButton" onclick="doCancel()">
               <fmt:message key='cancelButton.txt' />
            </mon:Button>
         </mon:ToolBar>

         <mon:Content>
            <html:hidden property="handle" />
            <html:hidden property="dimension" />
            <input type="hidden" name="method" />

            <input type="hidden" name="srcHandle"
               value="<c:out value="${srcHandle}" />" />
            <input type="hidden" name="destHandle" value="" />
            <input type="hidden" name="destPath" value="" />
            <input type="hidden" name="destName" value="" />

            <br />

            <table width="80%">
               <tr>

                  <table>
                     <tr>
                        <td><fmt:message
                           key="DimensionView.path.label.txt">
                           <fmt:param>
                              <c:out value="${dimName}" />
                           </fmt:param>
                        </fmt:message>:</td>
                        <td><c:out value="${srcPath}" /></td>
                     </tr>

                     <c:if test="${not empty childNodes}">
                        <c:forEach items="${childNodes}" var="child"
                           varStatus="status">
                           <c:if test="${status.first}">
                              <tr>
                                 <td><fmt:message
                                    key="DimensionSelectMergeTarget.section.childBls.txt" /></td>
                                 <td><c:out value="${child.label}" /></td>
                              </tr>
                           </c:if>
                           <c:if test="${not status.first}">
                              <tr>
                                 <td>&nbsp;</td>
                                 <td><c:out value="${child.label}" /></td>
                              </tr>
                           </c:if>
                        </c:forEach>
                     </c:if>

                  </table>

                  <table width="100%" vspace="10px">
                     <tr>
                        <td valign="top"><span
                           class='requiredIndicator'>*&nbsp;</span> <fmt:message
                           key="DimensionSelectMergeTarget.section.target.txt">
                           <fmt:param>
                              <c:out value="${dimName}" />
                           </fmt:param>
                        </fmt:message>:</td>
                     </tr>
                     <tr>
                        <td><mon:SearchTreeChooser showRoot="true"
                           readOnly="false"
                           dimensionNodeClassName="<%= StringUtil.escapeJSForHTMLAttribute(dimNodeClassName) %>"
                           selectMethod="selectTarget"
                           selectedNodeKey=""
                           cssStyle="height:145px; width:100%" /></td>
                     </tr>
                  </table>
               </tr>

               <tr>
                  <table width="100%" vspace="100px">
                     <tr>
                        <fmt:message
                           key="MergeAnalysisReport.objectsMoved.txt" />
                     </tr>
                  </table>
               </tr>

               <tr>
                  <span class='requiredIndicator'>*&nbsp;</span>
                  <fmt:message
                     key="DimensionSelectMergeParent.field.justification.txt" />
                  <br />
                  <mon:textarea style="width: 100%;"
                     property='justification' rows='6'>
                     <c:out value="${param.justification}" />
                  </mon:textarea>

               </tr>
            </table>
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>
